%define module	numarray

Name:           python-%{module}
Version:        1.5.2
Release:        %mkrel 3
Summary:        Numarray: array processing for numbers, strings, records and objects
Group:          Development/Python
License:        BSD-like
URL:            http://www.stsci.edu/resources/software_hardware/numarray/
Source0:        http://dl.sourceforge.net/sourceforge/numpy/%{module}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  python-devel
BuildRequires:	blas-devel, lapack-devel

%description
Numarray is an array processing package designed to efficiently
manipulate large multi-dimensional arrays.  Numarray is modelled after
Numeric and features c-code generated from python template scripts,
the capacity to operate directly on arrays in files, and improved type
promotions.  Numarray provides support for manipulating arrays
consisting of numbers, strings, records, or objects using the same
basic infrastructure and syntax.

%package	devel
Summary:	Numarray Library C bindings
Group:		Development/Python
Requires:	%{name} = %{version}

%description	devel
Install this to develop C bindings against the Numarray Python library.

%prep
%setup -n %{module}-%{version} -q


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc *.txt
%_libdir/python*/site-packages/

%files devel
%defattr(-,root,root,-)
%{_includedir}/python%{pyver}/numarray
%doc *.txt


%changelog
* Sun Aug 11 2013 billybot <billybot>
- update

* Thu Sep 02 2010 Texstar <texstar at gmail.com>
- rebuild for python 2.6.6

* Wed Aug 18 2010 pcserver <pcserver at hush.com>
- update package


